Eclipse GEF 3.3

## org.eclipse.gef.palette
Interface PaletteListener

All Superinterfaces:
  java.util.EventListener

public interface PaletteListener
extends java.util.EventListener

Listens to changes in the palette.

Method Summary
`void` `activeToolChanged(PaletteViewer palette, ToolEntry tool)` A new tool was activated in the palette.

Method Detail

### activeToolChanged

    public void activeToolChanged(PaletteViewer palette,
                                  ToolEntry tool)

  A new tool was activated in the palette.

  Parameters:
    `palette` - the source of the change
    `tool` - the new tool that was activated

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.